Name:           skrooge
Version:        0.5.2
Release:        2%{?dist}
Summary:        Personal finances manager

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://extragear.kde.org/apps/skrooge/
Source0:        http://websvn.kde.org/*checkout*/tags/skrooge/%{version}/skrooge-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## upstream patches
Patch100: skrooge-0.5.2-docs.patch

BuildRequires:  qca2-devel
BuildRequires:  libofx-devel
BuildRequires:  sqlite-devel
BuildRequires:  kdelibs4-devel
BuildRequires:  gettext

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%global kde4_version %((kde4-config --version 2>/dev/null || echo "KDE 4.3.0") | grep ^KDE | cut -d' ' -f2)

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description   
Skrooge is a personal finances manager, 
aiming at being simple and intuitive. 
It allows you to keep track of your expenses and incomes, 
categorize them, and build reports of them.

%package libs
Summary:        Skrooge libraries
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       kdelibs4%{?_isa} >= %{kde4_version}

%description libs
Skrooge libraries

%prep
%setup -q

%patch100 -p1 -b .docs

## remove executable bits from skrooge-0.5.2/skrooge_search/skgalarmboardwidget.h
chmod -x skrooge_search/skgalarmboardwidget.h

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}
%find_lang %{name} --with-kde

# hack to support non-oxygen icon users (gnome), drop when/if skrooge
# ever provides hicolor icons (too).
mv %{buildroot}%{_kde4_iconsdir}/oxygen %{buildroot}%{_kde4_iconsdir}/hicolor 

## unpackaged devel files
rm -f %{buildroot}%{_kde4_libdir}/libskgbasemodeler.so
rm -f %{buildroot}%{_kde4_libdir}/libskgbankgui.so
rm -f %{buildroot}%{_kde4_libdir}/libskgbasegui.so
rm -f %{buildroot}%{_kde4_libdir}/kde4/plugins/designer/libskgbankgui.so
rm -f %{buildroot}%{_kde4_libdir}/libskgbankmodeler.so
rm -f %{buildroot}%{_kde4_libdir}/kde4/plugins/designer/libskgbasegui.so

%clean
rm -rf %{buildroot}

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/skrooge.desktop

%post libs -p /sbin/ldconfig

%post 
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun libs -p /sbin/ldconfig

%postun
if [ $1 -eq 0 ] ; then
   touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
   update-desktop-database -q &> /dev/null
   update-mime-database %{_kde4_datadir}/mime &> /dev/null
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null
update-mime-database %{_kde4_datadir}/mime &> /dev/null


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COPYING README TODO 
%{_kde4_bindir}/skrooge
%{_kde4_datadir}/applications/kde4/skrooge.desktop
%{_kde4_datadir}/config.kcfg/*.kcfg
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/skrooge*/
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/skrooge-plugin.desktop
%{_kde4_datadir}/mime/packages/x-skg.xml

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/plugins/designer/*.so.*
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/lib*.so.*

%changelog
* Wed Oct 14 2009 Rex Dieter <rdieter@fedoraproject.org> 0.5.2-2
- (HTML) docs patch, use %%find_lang --with-kde
- own %%{_kde4_appsdir}/skrooge*/ dirs
- %check: omit extraneous desktop-file-validate's

* Thu Oct 08 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.5.2-1
- Changed to final 0.5.2 version
- Bugfixes, including a nasty bug where one thinks the data is gone
- added HTML documentation
- added localizations

* Tue Sep 22 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.5.2-0.1.beta
- Changed to new upstream Version 0.5.2_beta (lots of bugfixes)

* Mon Sep 21 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.5.1-0.5.beta
- Added -libs Requires libofx

* Mon Sep 21 2009 Rex Dieter <rdieter@fedoraproject.org> 0.5.1-0.4.beta
- misc cosmetics
- mime scriptlets
- move icons to hicolor
- -libs: drop dup'd docs, add min kdelibs4 dep

* Thu Sep 17 2009 Thomas Janssen <thomasj@fedoraproject.org>  0.5.1-0.3.beta
- Spec file corrections and Version correction

* Wed Sep 16 2009 Thomas Janssen <thomasj@fedoraproject.org>  0.5.1-beta2
- cleaned up desktop files

* Tue Sep 15 2009 Thomas Janssen <thomasj@fedoraproject.org>  0.5.1-beta1
- changed version to 0.5.1 beta with fixed rpmlint output

* Sun Sep 13 2009 Thomas Janssen <thomasj@fedoraproject.org>  0.5.0-2
- Fixed the spec and rpmlintoutput debuginfo-without-source

* Fri Sep 11 2009 Thomas Janssen <thomasj@fedoraproject.org>  0.5.0-1
- Initial Release 0.5.0
